PROMETHEUS-BIND-EXPORTER(1)

NAME
prometheus-bind-exporter - Prometheus exporter for BIND metrics

SYNOPSIS

prometheus-bind-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--bind.stats-url
    HTTP XML API address of BIND server

--bind.timeout=10s
    Timeout for trying to get stats from BIND server

--bind.pid-file
    Path to BIND's pid file to export process information

--bind.stats-version=json
    BIND statistics channel

--web.telemetry-path
    Path under which to expose metrics

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9119
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--bind.stats-groups=server,view
    Comma-separated list of statistics to collect

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.